%define module_name	zaptel
%define module_version	1.0
%define module_release	alt2.132619.4

%define kversion	2.6.11
%define krelease	alt4
%define flavour		wks26-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware


Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.asterisk.org/index.php?menu=download

# Automatically added by buildreq on Sun Nov 07 2004
BuildRequires: kernel-source-%module_name
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
%module_name modules

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

#%patch1 -p1

%build
export KERNEL_SOURCE=%_usrsrc/linux-%kversion-%kflavour
subst s!-I/usr/src/linux-2.4/!-I%_usrsrc/linux-%kversion-%kflower!g Makefile
subst s!^KINCLUDES=.*$/!KINCLUDES=%_usrsrc/linux-%kversion-%kflower!g Makefile
subst 's! # ztdummy! ztdummy!' Makefile
subst 's!PRIMARY=.*!PRIMARY=ztdummy!' Makefile

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

make tones.h tor2fw.h radfw.h
make -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=`realpath .` modules

%install
make -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=`realpath .` INSTALL_MOD_PATH=%buildroot/%module_dir modules_install

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Thu Dec 30 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0-alt2.132619.4
- Rebuild for kernel 2.6.10

* Fri Dec 17 2004 Denis Smirnov <mithraen@altlinux.ru> 1.0-alt1.132619.4
- first build

